summaryrefslogtreecommitdiffstats
path: root/network/xdman
diff options
context:
space:
mode:
author Vijay Marcel2023-05-26 21:18:05 +0200
committer Willy Sudiarto Raharjo2023-05-27 03:08:52 +0200
commitfdc3ed9e626d387d881aee7e7f8fb20b76701495 (patch)
tree821c2ba2e4c8fbca158a0c541230546e71b12ee4 /network/xdman
parentbba32885779ba1a1ae6c39b119735d9b5859f175 (diff)
downloadslackbuilds-fdc3ed9e626d387d881aee7e7f8fb20b76701495.tar.gz
network/xdman: Added (Xtreme Download Manager)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/xdman')
-rw-r--r--network/xdman/README5
-rw-r--r--network/xdman/changelog13
-rw-r--r--network/xdman/doinst.sh14
-rw-r--r--network/xdman/slack-desc19
-rw-r--r--network/xdman/xdm-app.desktop11
-rw-r--r--network/xdman/xdman.SlackBuild95
-rw-r--r--network/xdman/xdman.info12
7 files changed, 169 insertions, 0 deletions
diff --git a/network/xdman/README b/network/xdman/README
new file mode 100644
index 0000000000..16b865c23e
--- /dev/null
+++ b/network/xdman/README
@@ -0,0 +1,5 @@
+xdman is an open source download manager and accelerator.
+It can resume broken or dead downloads and save videos from
+popular streaming websites.It also integrates with
+Google Chrome, Mozilla Firefox, Opera, Vivaldi and
+other Chroumium and Firefox based browsers.
diff --git a/network/xdman/changelog b/network/xdman/changelog
new file mode 100644
index 0000000000..867dee6b0b
--- /dev/null
+++ b/network/xdman/changelog
@@ -0,0 +1,13 @@
+Changelog for xdman SlackBuild Script
+--------------------------------------------------------------------
+
+
+25/05/2023:
+
+Submitted to slackbuilds.org
+
+26/05/2023:
+
+Resubmitted to SBo.
+Fixed the SlackBuild script and added the url for
+the license file in the info file.
diff --git a/network/xdman/doinst.sh b/network/xdman/doinst.sh
new file mode 100644
index 0000000000..5b35a0a29e
--- /dev/null
+++ b/network/xdman/doinst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+# If other icon themes are installed, then add to/modify this as needed
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/xdman/slack-desc b/network/xdman/slack-desc
new file mode 100644
index 0000000000..0cf34a6575
--- /dev/null
+++ b/network/xdman/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xdman: xdman (Xtreme Download Manager)
+xdman:
+xdman: xdman is an open source download manager and accelerator.
+xdman: It can resume broken or dead downloads and save videos from
+xdman: popular streaming websites.It also integrates very nicely
+xdman: with Firefox and Chrome.
+xdman:
+xdman:
+xdman: Homepage:https://github.com/subhra74
+xdman:
+xdman:
diff --git a/network/xdman/xdm-app.desktop b/network/xdman/xdm-app.desktop
new file mode 100644
index 0000000000..5009de519b
--- /dev/null
+++ b/network/xdman/xdm-app.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Version=1.0
+Exec=env GTK_USE_PORTAL=1 /opt/xdman/xdm-app %U
+Type=Application
+Terminal=false
+Name=Xtreme Download Manager
+Comment=Download Manager
+Categories=Network;
+Icon=/opt/xdman/xdm-logo.svg
+MimeType=application/xdm-app;x-scheme-handler/xdm-app;
+StartupNotify=true
diff --git a/network/xdman/xdman.SlackBuild b/network/xdman/xdman.SlackBuild
new file mode 100644
index 0000000000..635e8b1e76
--- /dev/null
+++ b/network/xdman/xdman.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/bash
+
+# Slackware build script for xdman
+
+# Copyright 2023 Vijay Marcel
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=xdman
+VERSION=${VERSION:-8.0.25}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+sys_arch=${sys_arch:-$(uname -m)}
+SRCNAM=${SRCNAM:-xdman_gtk_}
+
+case "$sys_arch" in
+ x86_64)
+ DEBARCH=amd64
+ ARCH=x86_64
+ LIBDIRSUFFIX="64"
+ ;;
+ *) echo "This program will not build on $sys_arch platform" && exit 1 ;;
+esac
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee -a $OUTPUT/error-${PRGNAM}.log' ERR
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -pv $PRGNAM-$VERSION
+ar -x $CWD/$SRCNAM${VERSION}_${DEBARCH}.deb --output $TMP/$PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf data.tar.xz -C $PKG
+cd .. && cd $PKG
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+rm -rvf $PKG/usr/share/applications/xdm-app.destop
+install -m0644 $CWD/xdm-app.desktop -t $PKG/usr/share/applications/
+
+enscript -B -o $TMP/LICENSE.ps $CWD/gpl-3.0.txt
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cp -a $TMP/LICENSE.ps $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/xdman/xdman.info b/network/xdman/xdman.info
new file mode 100644
index 0000000000..a63d34b25f
--- /dev/null
+++ b/network/xdman/xdman.info
@@ -0,0 +1,12 @@
+PRGNAM="xdman"
+VERSION="8.0.25"
+HOMEPAGE="https://github.com/subhra74"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/subhra74/xdm-experimental-binaries/releases/download/8.0.25-beta/xdman_gtk_8.0.25_amd64.deb \
+ https://www.gnu.org/licenses/gpl-3.0.txt"
+MD5SUM_x86_64="a895d90773db3095544449037f203615 \
+ 1ebbd3e34237af26da5dc08a4e440464"
+REQUIRES="yt-dlp"
+MAINTAINER="Vijay Marcel"
+EMAIL="vijaymarcel@outlook.com"